import torch
import torch.nn as nn

# Use Complex64 input
BATCH_SIZE = 4096
DIM = 4096
SHAPE = (BATCH_SIZE, DIM)

class AngleModel(nn.Module):
    def __init__(self):
        super(AngleModel, self).__init__()

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        return torch.angle(x)

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()
        self.act = AngleModel()
    
    def forward(self, x: torch.Tensor) -> torch.Tensor:
        return self.act(x)

def get_inputs():
    # randn generates complex numbers if dtype is complex
    x = torch.randn(SHAPE, dtype=torch.complex64)
    return [x.contiguous()]

def get_init_inputs():
    return []
    